#ifndef _NODE_H_
#define _NODE_H_

#include <vector>
#include <string>

class TA;
class Transition;

class Node 
{
protected:
    std::string name;
    std::vector<Transition *> tr;  // ausgehende Transitionen
    TA *parent;
public:
    Node(const std::string &n, TA *p);
    virtual ~Node();
    void addTrans(Transition *trans);
    virtual bool inv() = 0;        // Invariante
    virtual void error();
    Node *nextNode();
};


#endif
