#include <sys/time.h>
#include <cstddef>
#include "clock.h"


static uint64_t gettime()
{
    struct timeval tv;

    gettimeofday(&tv, NULL);
    return tv.tv_sec;
}



void Clock::set(uint64_t x)
{
    offset = gettime();
    init = x;
}


uint64_t Clock::get()
{
    return gettime() - offset + init;
}
